# This file created by conda-build 2.1.4
# meta.yaml template originally from:
# C:\projects\r-pbdzmq-feedstock\recipe, last modified Sat Feb 18 16:23:44 2017
# ------------------------------------------------

package:
    name: r-pbdzmq
    version: '0.2_4'
source:
    fn: pbdZMQ_0.2-4.tar.gz
    sha256: bfacac88b0d4156c70cf63fc4cb9969a950693996901a4fa3dcd59949ec065f6
    url:
        - http://cran.r-project.org/src/contrib/pbdZMQ_0.2-4.tar.gz
        - http://cran.r-project.org/src/contrib/Archive/pbdZMQ/pbdZMQ_0.2-4.tar.gz
build:
    number: '0'
    rpaths:
        - lib/R/lib/
        - lib/
    script: R CMD INSTALL --build .
    string: r3.3.2_0
requirements:
    build: []
    run:
        - r-base
        - r-r6
test:
    commands:
        - R -e \"library('pbdZMQ')\"
about:
    home: http://r-pbd.org/
    license: GPL-3.0
    summary: ZeroMQ' is a well-known library for high-performance asynchronous messaging
        in scalable, distributed applications.  This package provides high level R
        wrapper functions to easily utilize 'ZeroMQ'. We mainly focus on interactive
        client/server programming frameworks. For convenience, a minimal 'ZeroMQ'
        library (4.1.0 rc1) is shipped with 'pbdZMQ', which can be used if no system
        installation of 'ZeroMQ' is available.  A few wrapper functions compatible
        with 'rzmq' are also provided.
extra:
    recipe-maintainers:
        - ocefpaf
